<template>
  <div class="card">
    <div class="card-header border-0">
      <div class="row align-items-center">
        <div class="col">
          <h3 class="mb-0">Image Usage</h3>
        </div>
      </div>
    </div>

    <div class="table-responsive">
      <base-table thead-classes="thead-light"
                  :data="tableData">
        <template slot="columns">
          <th>Node</th>
          <th>Mzid</th>
          <th></th>
        </template>

        <template slot-scope="{row}">
          <th scope="row">
            {{row.Name}}
          </th>
          <td>
            {{row.Mzid}}
          </td>
        </template>

      </base-table>
    </div>

  </div>
</template>
<script>
  const axios = require('axios').default;
  export default {
    name: 'nodes-table',
    data() {
      return {
        tableData: [
          {
            Name: '',
            Mzid: '',
          },
        ]
      }
    },
    mounted() {
        axios
            .get(location.origin+'/api/nodes')
            .then( r => {

                this.tableData = r.data

            })
            .finally(() => this.loading = false)
    }

  }
</script>
<style>
</style>
